## org.hibernate.stat
Class ConcurrentSecondLevelCacheStatisticsImpl

    java.lang.Object
      org.hibernate.stat.CategorizedStatistics
          org.hibernate.stat.ConcurrentSecondLevelCacheStatisticsImpl

All Implemented Interfaces:
  Serializable, SecondLevelCacheStatistics

    public class ConcurrentSecondLevelCacheStatisticsImpl

extends CategorizedStatistics
implements SecondLevelCacheStatistics

Second level cache statistics of a specific region

Author:
  Alex Snaps
See Also:
  Serialized Form

Method Summary
`long` `getElementCountInMemory()`
`long` `getElementCountOnDisk()`
`Map` `getEntries()`
`long` `getHitCount()`
`long` `getMissCount()`
`long` `getPutCount()`
`long` `getSizeInMemory()`
`String` `toString()`

Methods inherited from class org.hibernate.stat.CategorizedStatistics
`getCategoryName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getHitCount

    public long getHitCount()

  Specified by:
    `getHitCount` in interface `SecondLevelCacheStatistics`

### getMissCount

    public long getMissCount()

  Specified by:
    `getMissCount` in interface `SecondLevelCacheStatistics`

### getPutCount

    public long getPutCount()

  Specified by:
    `getPutCount` in interface `SecondLevelCacheStatistics`

### getElementCountInMemory

    public long getElementCountInMemory()

  Specified by:
    `getElementCountInMemory` in interface `SecondLevelCacheStatistics`

### getElementCountOnDisk

    public long getElementCountOnDisk()

  Specified by:
    `getElementCountOnDisk` in interface `SecondLevelCacheStatistics`

### getSizeInMemory

    public long getSizeInMemory()

  Specified by:
    `getSizeInMemory` in interface `SecondLevelCacheStatistics`

### getEntries

    public Map getEntries()

  Specified by:
    `getEntries` in interface `SecondLevelCacheStatistics`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.